## dh-python 5.20220819+rpi1

=== tests/t304/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python3.2 hardcoded via `dh_python3 --shebang ...python3.2`
	grep -q '#! /usr/bin/python3.2 -OO' debian/foo/usr/share/baz32/baz.py
	# python3.4 hardcoded via shebang
	grep -q '/usr/share/foo \-V 3.4' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python3.4' debian/foo/usr/share/foo/foo.py
	# make sure /usr/share/doc/ is ignored
	grep -q -v "py3compile -p foo /usr/share/doc"\
		debian/foo/DEBIAN/postinst
	# Check argument parsing order
	grep -q '#! /usr/bin/python3-dbg' debian/overrides/usr/share/overrides1/foo.py
	grep -q '#! /usr/bin/python3-dbg' debian/overrides/usr/share/overrides2/foo.py

=== debian/changelog ===
dh-python (5.20220819+rpi1) bookworm-staging; urgency=medium

  * Don't attempt to diff .a files.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 25 Aug 2022 20:47:15 +0000

dh-python (5.20220819) unstable; urgency=medium

  * flit plugin: Explicitly install using the "deb_system" sysconfig scheme.
  * Update location for python-policy in dh_python3(1), thanks Andrius Merkys.
  * autoscripts/prerm-{py3,pypy}clean: Use sed instead of perl, thanks Gioele
    Barabucci.
  * pybuild.pm: Handle multiple (comma-separated) versions in
    DEBPYTHON3_SUPPORTED. (closes: 1015774)
  * pybuild.pm: Don't entirely swallow py3versions -r errors. (closes: 827870)
  * pybuild: Don't print stack traces when we can't initialize a plugin due to
    a missing command, it's confusing. (closes: 954215)
  * pybuild cmake plugin: Add support for FindPython and FindPython3,
    available since CMake 3.12. (closes: 949377)
  * dh_python3: Don't generate ${python3:Provides} or ${python3:Versions}.
    Never intended for use with Python 3, by the Debian Python Policy, and not
    currently in use. (closes: 811080, 951748)
  * dh_python3: Operate on binary packages that only Recommends:
    ${python3:Depends}, too. (closes: 1017001)
  * Port dh_python2/dh_python3/dh_pypy to argparse.
  * dh_*: Parse -O=... options provided by debhelper. (closes: 949286)
  * pybuild: Make --ext-dest-dir work again, when --name is specified.
    (closes: 942882)
  * Remove the text in pybuild(1) describing pybuild-plugin-pyproject as being
    in beta.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Aug 2022 22:34:55 +0200

=== tests/t304/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_build:
override_dh_auto_install:

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3 -p foo
	DH_VERBOSE=1 ../../dh_python3 -p foo /usr/share/bar
	DH_VERBOSE=1 ../../dh_python3 -p foo /usr/share/baz32 --shebang '/usr/bin/python3.2 -OO'

	# Argument priority: -O > regular args > DH_OPTIONS
	DH_VERBOSE=1 DH_OPTIONS=--shebang=/usr/bin/python3.0 \
		../../dh_python3 -p overrides \
		--shebang=/usr/bin/python3-dbg \
		/usr/share/overrides1
	DH_VERBOSE=1 ../../dh_python3 -p overrides \
		--shebang=/usr/bin/python3.0 \
		-O=--shebang=/usr/bin/python3-dbg \
		-O=--foo=bar \
		/usr/share/overrides2

clean:
	dh_clean

=== debian/tests/control ===
Tests: dh-python
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 libjs-jquery,
 pypy,
 python3-all-dbg,
 python3-all-dev
Restrictions: allow-stderr

Tests: dh-python2
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 libjs-jquery,
 python-all-dbg,
 python-all-dev
Restrictions: allow-stderr

Tests: nosetests
Depends:
 dh-python,
 flit,
 pypy,
 python-all,
 python-all-dbg,
 python3-all,
 python3-all-dbg,
 python3-nose
Restrictions: allow-stderr

Tests: pybuild
Depends:
 build-essential,
 debhelper,
 dh-python,
 pybuild-plugin-pyproject,
 flit,
 fakeroot,
 python3-all-dev,
 python3-poetry-core,
 python3-pytest,
 python3-setuptools,
 python3-tomli,
 tox
Restrictions: allow-stderr

Tests: pybuild-py2
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Restrictions: allow-stderr

## dh-python 5.20221001

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= pybuild.1 dh_pypy.1 dh_python2.1 dh_python3.1
DVERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p' || echo 'DEVEL')
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' || echo 'DEVEL')

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)
	rm -rf .pybuild

dist:
	git archive --format=tar --prefix=dh-python-$(VERSION)/ HEAD \
	| xz -9 -c >../dh-python_$(VERSION).orig.tar.xz

install:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/ \
		$(DESTDIR)$(PREFIX)/share/dh-python/dhpython/build \
		$(DESTDIR)$(PREFIX)/share/dh-python/dist
	$(INSTALL) -m 644 pydist/*_fallback $(DESTDIR)$(PREFIX)/share/dh-python/dist/
	$(INSTALL) -m 644 dhpython/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/
	$(INSTALL) -m 644 dhpython/build/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/build/
	$(INSTALL) -m 755 pybuild $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_pypy $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/share/dh-python/
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/pybuild
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_pypy
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python2
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python3
	
	$(INSTALL) -m 644 dh/pybuild.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/
	$(INSTALL) -m 644 dh/pypy.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 dh/python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 dh/python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/

%.1: %.rst
	rst2man $< > $@

%.htm: %.rst
	rst2html $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

# TESTS
nose:
	#nosetests3 --verbose --with-doctest --with-coverage
	nose2-3 --verbose --plugin nose2.plugins.doctests --with-doctest

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== tests/tpb02/Makefile ===
#!/usr/bin/make -f
include ../common.mk

DI=debian/python3-foo/usr/lib/python3/dist-packages/foo-0.1.dist-info

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test -f debian/python3-foo/usr/bin/foo
	grep -q ^foo/__init__.py, $(DI)/RECORD
	test ! -f $(DI)/direct_url.json
	grep -L ^foo-0.1.dist-info/direct_url.json, $(DI)/RECORD | grep -q RECORD
	grep -q 'Depends:.*python3-tomli' debian/python3-foo/DEBIAN/control
	grep -q 'Depends:.*python3-importlib-metadata \| python3 (>> 3\.5)' debian/python3-foo/DEBIAN/control
	grep -L 'Depends:.*tox' debian/python3-foo/DEBIAN/control | grep -q control
	find .pybuild -name test-executed | grep -q test-executed

clean:
	./debian/rules clean

=== debian/changelog ===
dh-python (5.20221001) unstable; urgency=medium

  * Fix -X handling in dh_python3 et al. Broken in the migration to argparse
    in 5.20220819. (closes: 1020041)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Oct 2022 14:31:31 +0200

dh-python (5.20220924) unstable; urgency=medium

  * Escape a . in a regex in tests/test-package-show-info, fixes FTBFS in
    Ubuntu which builds with the noudeb profile.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Sep 2022 19:17:12 +0200

dh-python (5.20220923) unstable; urgency=medium

  [ Stefano Rivera ]
  * Run Python test suite with nose2. (closes: 1018338)
  * Don't attempt to diff static libs (.a), thanks Nick Rosbrook.
    (closes: 1020528)
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Remove constraints unnecessary since buster (oldstable):
    + dh-python: Drop versioned constraint on python3 in Replaces.

  [ Stuart Prescott ]
  * pyproject plugin: Make the package's entry points available in the PATH
    when running the package's test suite, so that tests using the entry
    points can be run.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Sep 2022 09:47:57 +0200

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3-minimal, libpython3-stdlib, libdpkg-perl,
# provides rst2man command (use python-docutils to avoid circular deps):
 python3-docutils,
# used by tests:
 python3-all, python3-all-dbg, python3-all-dev,
 python3-nose2
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
Rules-Requires-Root: no

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
# depend on distutils to avoid adding it to Build-Depends in other packages
 python3-distutils | python3 (<< 3.6.5~rc1-1)
Provides:
 dh-sequence-pypy,
 dh-sequence-python2,
 dh-sequence-python3,
Suggests: libdpkg-perl, dpkg-dev, flit, python3-build, python3-tomli, python3-installer
Breaks:
# due to /usr/bin/dh_python3 and debhelper files
 python3 (<< 3.3.2-4~),
# due to /usr/bin/dh_python2 and debhelper files
 python (<< 2.7.18-2),
 python2 (<< 2.7.18-2)
Replaces: python (<< 2.7.18-2), python2 (<< 2.7.18-2)
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

Package: pybuild-plugin-pyproject
Architecture: all
Multi-Arch: foreign
Depends:
 dh-python (= ${source:Version}),
 python3-build (>> 0.7~),
 python3-installer,
 python3-tomli,
 ${misc:Depends}
Description: Debian helper tools for packaging Python libraries using PEP517
 This metapackage depends on the components necessary for building packages
 with the generic PEP517 build plugin.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
	make tests

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# generate maintainer scripts, etc.
	./dh_python3

=== debian/tests/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python-all-dbg,
  python3-all,
  python3-all-dbg,
- python3-nose
+ python3-nose2
 Restrictions: allow-stderr
 
 Tests: pybuild

## dh-python 5.20221008

=== debian/changelog ===
dh-python (5.20221008) unstable; urgency=medium

  * Ignore python_*_version environment markers with versions we can't parse.
    (closes: 1021410)
  * Add some hacks to our python_full_version environment marker parsing to at
    least produce a reasonable result for PEP-440 pre-releases like 1021410.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 08 Oct 2022 15:28:22 +0200

## dh-python 5.20221122

=== debian/changelog ===
dh-python (5.20221122) unstable; urgency=medium

  * Support the nodoc and nocheck build profiles.
  * flit plugin: Avoid modifying sysconfig data, thanks Stuart Prescott.
    (closes: 1024521)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 15 Oct 2022 17:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
- python3-minimal, libpython3-stdlib, libdpkg-perl,
-# provides rst2man command (use python-docutils to avoid circular deps):
- python3-docutils,
-# used by tests:
- python3-all, python3-all-dbg, python3-all-dev,
- python3-nose2
+ libdpkg-perl,
+ libpython3-stdlib,
+ python3-all <!nocheck>,
+ python3-all-dbg <!nocheck>,
+ python3-all-dev <!nocheck>,
+ python3-docutils <!nodoc>,
+ python3-minimal,
+ python3-nose2 <!nocheck>,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python

## dh-python 5.20221202

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 INSTALL ?= install
 PREFIX ?= /usr/local
-MANPAGES ?= pybuild.1 dh_pypy.1 dh_python2.1 dh_python3.1
+MANPAGES ?= pybuild.1 dh_python3.1
 DVERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p' || echo 'DEVEL')
 VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' || echo 'DEVEL')
 
@@ -28,17 +28,11 @@
 	$(INSTALL) -m 644 dhpython/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/
 	$(INSTALL) -m 644 dhpython/build/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/build/
 	$(INSTALL) -m 755 pybuild $(DESTDIR)$(PREFIX)/share/dh-python/
-	$(INSTALL) -m 755 dh_pypy $(DESTDIR)$(PREFIX)/share/dh-python/
-	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/share/dh-python/
 	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/share/dh-python/
 	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/pybuild
-	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_pypy
-	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python2
 	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python3
 	
 	$(INSTALL) -m 644 dh/pybuild.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/
-	$(INSTALL) -m 644 dh/pypy.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
-	$(INSTALL) -m 644 dh/python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
 	$(INSTALL) -m 644 dh/python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
 	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
#TESTS := test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06 testpb07
TESTS := test301 test302 test303 test304 test305 test306

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb *\.buildinfo
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== debian/changelog ===
dh-python (5.20221202) unstable; urgency=medium

  * Deprecate the flit plugin in favour of pyproject.
    - Reduce the auto-detect score of the flit plugin.
  * dh_python3: Clean up more license files from dist-info directories.
  * Write to debhelper.log files, in overrides.
  * Add support for --remaining-packages to dh_python*. (closes: 1021875)
  * Add a test that demonstrates building multiple libraries in a single
    source package. (closes: 1018952)
  * Remove dh_python2, dh_pypy, and related debhelper sequences, supporting
    the removal of the Python 2.7 stack before bookworm release.
    (closes: 942959)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Dec 2022 13:13:51 -0400

=== debian/control ===
--- 
+++ 
@@ -24,26 +24,16 @@
 # depend on distutils to avoid adding it to Build-Depends in other packages
  python3-distutils | python3 (<< 3.6.5~rc1-1)
 Provides:
- dh-sequence-pypy,
- dh-sequence-python2,
  dh-sequence-python3,
 Suggests: libdpkg-perl, dpkg-dev, flit, python3-build, python3-tomli, python3-installer
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
  python3 (<< 3.3.2-4~),
-# due to /usr/bin/dh_python2 and debhelper files
- python (<< 2.7.18-2),
- python2 (<< 2.7.18-2)
-Replaces: python (<< 2.7.18-2), python2 (<< 2.7.18-2)
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in
     order to build modules and extensions
-  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
-    adds maintainer scripts to byte compile files, etc.
   * dh_python3 - calculates Python 3.X dependencies for Debian packages,
-    adds maintainer scripts to byte compile files, etc.
-  * dh_pypy - calculates PyPy dependencies for Debian packages,
     adds maintainer scripts to byte compile files, etc.
 
 Package: pybuild-plugin-pyproject

=== debian/tests/control ===
Tests: dh-python
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 libjs-jquery,
 pypy,
 python3-all-dbg,
 python3-all-dev
Restrictions: allow-stderr

Tests: nosetests
Depends:
 dh-python,
 flit,
 python3-all,
 python3-all-dbg,
 python3-nose2
Restrictions: allow-stderr

Tests: pybuild
Depends:
 build-essential,
 debhelper,
 dh-python,
 pybuild-plugin-pyproject,
 flit,
 fakeroot,
 python3-all-dev,
 python3-poetry-core,
 python3-pytest,
 python3-setuptools,
 python3-tomli,
 tox
Restrictions: allow-stderr

## dh-python 5.20221205

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # enable or disable tests here:
-#TESTS := test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06 testpb07
+#TESTS := test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06 testpb07 testpb08
 TESTS := test301 test302 test303 test304 test305 test306
 
 all: $(TESTS)

=== tests/tpb08/Makefile ===
all: run check

run:
	@echo No build needed

check: pass fail

pass:
	@echo "=============================================================="
	@echo "= pybuild-autopkgtest passes when tests pass                 ="
	@echo "=============================================================="
	@echo
	pybuild-autopkgtest
	@echo '------------------------------'
	@echo "OK: pybuild-autopkgtest passed"
	@echo '------------------------------'
	@echo

fail:
	@echo "=============================================================="
	@echo "= pybuild-autopkgtest fails when tests fail                  ="
	@echo "=============================================================="
	@echo
	! FAILS=1 pybuild-autopkgtest
	@echo '------------------------------'
	@echo "OK: pybuild-autopkgtest failed"
	@echo '------------------------------'
	@echo

=== debian/changelog ===
dh-python (5.20221205) unstable; urgency=medium

  * Regenerate pydist.
  * Include ${misc:Depends} in pybuild-plugin-autopkgtest.
  * Run the autopkgtest nose test suite on all supported Python 3 versions.
  * Update lintian overrides.
  * Install data into the system data directory, as pip would.
    (closes: 1025485)
  * Remove a left-over Depends on pypy in the autopkgtest.
  * pybuild plugin: Stage the scripts and data one level up in the .pybuild
    directory (rather than have to ignore them when we install the module).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 05 Dec 2022 21:18:44 -0400

dh-python (5.20221203) experimental; urgency=medium

  * Upload to experimental, to go through binNEW.
  * Add autopkgtest runner pybuild-autopkgtest, thanks Antonio Terceiro.
    (closes: 1000803)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Dec 2022 13:14:44 -0400

## dh-python 5.20221230

=== debian/changelog ===
dh-python (5.20221230) unstable; urgency=medium

  [ Stefano Rivera ]
  * Correct typo in nose autopkgtest.
  * Export HOME in the pyproject plugin, as we do in the distutils one.
  * Remove install_requires from test301, setuptools will parse this where
    distutils historically wouldn't have.

  [ Colin Watson ]
  * Fix interaction between --test-custom and distutils plugin.

  [ Antonio Terceiro ]
  * pybuild-autopkgtest: allow autopkgtest-specific behavior in debian/rules.

  [ Stefano Rivera ]
  * pybuild-autopkgtest: Instead of using a different buildsystem for the
    autopkgtest runner, use a different build stage. This way, packages with
    custom buildsystems can use pybuild-autopkgtest. (Closes: #1025737)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2022 09:47:32 -0400

## dh-python 5.20230109

=== debian/changelog ===
dh-python (5.20230109) unstable; urgency=medium

  * ignore/strip :native suffix when searching for build dependencies in
    pybuild.pm. Thanks Joseph Nahmias for the patch.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2023 16:29:17 -0400

=== debian/control ===
--- 
+++ 
@@ -48,3 +48,17 @@
 Description: Debian helper tools for packaging Python libraries using PEP517
  This metapackage depends on the components necessary for building packages
  with the generic PEP517 build plugin.
+
+Package: pybuild-plugin-autopkgtest
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ dh-python (= ${source:Version}),
+ debhelper,
+ make,
+ ${misc:Depends}
+Description: pybuild autopkgtest test runner (metapackage)
+ This package depends on the packages required to run pybuild-autopkgtest, a
+ pybuild-based autopkgtest test runner. pybuild-autopkgtest will run the same
+ test suite that regular pybuild runs during build time, but against the
+ installed packages and without doing a build first.

## dh-python 5.20230130~bpo11+1

=== debian/changelog ===
dh-python (5.20230130~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump flit depend in autopkgtest, for external-data support.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 16 Feb 2023 12:59:11 -0400

dh-python (5.20230130) unstable; urgency=medium

  * pybuild.pm: Export SETUPTOOLS_SCM_PRETEND_VERSION for packages using
    python3-hatch-vcs packages.
  * Update pydist fallback.
  * Handle 2-digit minor versions in X-Python3-Version parsing (stop limiting
    the values to 3 bytes). (Closes: #1028364)
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Jan 2023 12:30:45 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-docutils <!nodoc>,
  python3-minimal,
  python3-nose2 <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  dh-python,
  fakeroot,
  libjs-jquery,
- pypy,
  python3-all-dbg,
  python3-all-dev
 Restrictions: allow-stderr
@@ -25,7 +24,7 @@
  debhelper,
  dh-python,
  pybuild-plugin-pyproject,
- flit,
+ flit (>= 3.7),
  fakeroot,
  python3-all-dev,
  python3-poetry-core,
@@ -34,3 +33,13 @@
  python3-tomli,
  tox
 Restrictions: allow-stderr
+
+Tests: pybuild-autopkgtest
+Depends:
+ autopkgtest,
+ debhelper,
+ dh-python,
+ make,
+ pybuild-plugin-pyproject,
+ python3-all,
+Restrictions: allow-stderr

## dh-python 5.20230130+deb12u1

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # enable or disable tests here:
-#TESTS := test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06 testpb07 testpb08
+#TESTS := test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06 testpb07 testa01 testa02
 TESTS := test301 test302 test303 test304 test305 test306
 
 all: $(TESTS)

=== tests/t305/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5a/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5b/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5c/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5d/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5e/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5f/DEBIAN/control
	grep -Fxq dh_python3 debian/foo5a.debhelper.log.end_dh_install
	grep -Fxc dh_python3 debian/foo5a.debhelper.log.end_dh_install | grep -Fxq 1

=== tests/tpb01/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	grep -q 'Depends:.*python3-tomli' debian/python3-foo/DEBIAN/control

clean:
	./debian/rules clean

=== tests/tpb02/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	grep -q 'Depends:.*python3-importlib-metadata \| python3 (>> 3\.5)' debian/python3-foo/DEBIAN/control
 	grep -L 'Depends:.*tox' debian/python3-foo/DEBIAN/control | grep -q control
 	find .pybuild -name test-executed | grep -q test-executed
+	test -f debian/python3-foo/usr/share/man/man1/foo.1.gz
 
 clean:
 	./debian/rules clean

=== tests/tpb03/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	# FIXME: This used to be a 2.7 + 3.x test. It may not be useful any more, without 2.x
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	grep -q 'Depends:.*python3-pkg-resources' debian/python3-foo/DEBIAN/control

clean:
	./debian/rules clean

=== tests/tpb05/Makefile ===
#!/usr/bin/make -f
include ../common.mk

DI=debian/python3-foo/usr/lib/python3/dist-packages/foo-0.1.dist-info

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	grep -q ^foo/__init__.py, $(DI)/RECORD
	test ! -f $(DI)/direct_url.json
	grep -L ^foo-0.1.dist-info/direct_url.json, $(DI)/RECORD | grep -q RECORD
	grep -q 'Depends:.*python3-tomli' debian/python3-foo/DEBIAN/control
	grep -q 'Depends:.*python3-importlib-metadata \| python3 (>> 3\.5)' debian/python3-foo/DEBIAN/control
	grep -L 'Depends:.*tox' debian/python3-foo/DEBIAN/control | grep -q control
	find .pybuild -name test-executed | grep -q test-executed
	grep -q usr/bin/python3$$ debian/python3-foo/usr/bin/foo
	find debian/python3-foo/usr/lib/python3/dist-packages/ -name LICENSE | { ! grep -q LICENSE; }

clean:
	./debian/rules clean

=== tests/tpb06/Makefile ===
#!/usr/bin/make -f
include ../common.mk

DI=debian/python3-foo/usr/lib/python3/dist-packages/foo-0.1.dist-info

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	grep -q ^foo/__init__.py, $(DI)/RECORD
	test ! -f $(DI)/direct_url.json
	grep -L ^foo-0.1.dist-info/direct_url.json, $(DI)/RECORD | grep -q RECORD
	grep -q 'Depends:.*python3-tomli' debian/python3-foo/DEBIAN/control
	grep -q 'Depends:.*python3-importlib-metadata \| python3 (>> 3\.5)' debian/python3-foo/DEBIAN/control
	grep -L 'Depends:.*tox' debian/python3-foo/DEBIAN/control | grep -q control
	find .pybuild -name test-executed | grep -q test-executed
	grep -q usr/bin/python3$$ debian/python3-foo/usr/bin/foo
	find debian/python3-foo/usr/lib/python3/dist-packages/ -name LICENSE | { ! grep -q LICENSE; }
	test -f debian/python3-foo/usr/share/man/man1/foo.1.gz

clean:
	./debian/rules clean

=== tests/tpb07/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test -f debian/python3-bar/usr/lib/python3/dist-packages/bar/__init__.py
	test -f debian/python3-foo/usr/bin/foo
	test -f debian/python3-bar/usr/bin/bar

clean:
	./debian/rules clean

=== debian/changelog ===
dh-python (5.20230130+deb12u1) bookworm; urgency=medium

  * Reintroduce Breaks+Replaces on python2 needed to help apt in some upgrade
    scenarios. (Closes: #1036943)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 Jun 2023 15:25:52 -0400

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,9 @@
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
  python3 (<< 3.3.2-4~),
+# due to debhelper files
+ python2 (<< 2.7.18-2)
+Replaces: python2 (<< 2.7.18-2)
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in

=== tests/t306/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=none

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=debian/foo/ --install-lib=/usr/share/foo/python

=== tests/tpb01/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild --build

override_dh_auto_install:
	../../pybuild --install

override_dh_auto_test:
	../../pybuild --test

override_dh_auto_clean:
	../../pybuild --clean
	rm -rf .pybuild foo.egg-info

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3

=== tests/tpb06/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild --build --verbose

override_dh_auto_install:
	../../pybuild --install

override_dh_auto_test:
	../../pybuild --test

override_dh_auto_clean:
	../../pybuild --clean --verbose
	rm -rf .pybuild foo.egg-info

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3

=== tests/tpb07/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild -d foo --build --verbose --name=foo
	../../pybuild -d bar --build --verbose --name=bar

override_dh_auto_install:
	../../pybuild -d foo --install --name=foo
	../../pybuild -d bar --install --name=bar

override_dh_auto_test:
	../../pybuild -d foo --test --name=foo
	../../pybuild -d bar --test --name=bar

override_dh_auto_clean:
	../../pybuild -d foo --clean --verbose --name=foo
	../../pybuild -d bar --clean --verbose --name=bar
	rm -rf .pybuild foo/foo.egg-info bar/bar.egg-info

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3

=== debian/tests/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  debhelper,
  dh-python,
  pybuild-plugin-pyproject,
- flit (>= 3.7),
+ flit,
  fakeroot,
  python3-all-dev,
  python3-poetry-core,

=== tests/t301/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all
Standards-Version: 3.9.0
X-Python3-Version: >= 3.1, << 3.9

Architecture: all
Package: python3-foo
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: foo to rule them all
 example package #1

=== tests/t302/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all-dev
Standards-Version: 3.9.1
X-Python3-Version: >= 3.2

Package: python3-foo
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: package with public and private Python 3 extension
 example package #3 - Python extensions

=== tests/t304/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python3
Standards-Version: 3.9.3

Package: foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 4 - shebangs
 example package #4 - shebang related tests

Package: overrides
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 4 - command line parsing
 example package #4 - command line argument parsing

=== tests/t305/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Maximilian Engelhardt <maxi@daemonizer.de>
Build-Depends: debhelper (>= 12.9)
Build-Depends-Indep: python3
Standards-Version: 4.5.1

Package: foo5a
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5a - private shebangs
 example package #5 - shebang related tests in private dirs

Package: foo5b
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5b - private shebangs
 example package #5 - shebang related tests in private dirs

Package: foo5c
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5c - private shebangs
 example package #5 - shebang related tests in private dirs

Package: foo5d
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5d - private shebangs
 example package #5 - shebang related tests in private dirs

Package: foo5e
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5e - private shebangs
 example package #5 - shebang related tests in private dirs

Package: foo5f
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 5f - private shebangs
 example package #5 - shebang related tests in private dirs

=== tests/ta01/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , pybuild-plugin-pyproject
 , python3-all
 , python3-setuptools
Standards-Version: 3.9.4

Package: python3-foo
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #8

=== tests/ta02/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , pybuild-plugin-pyproject
 , python3-all
 , python3-pytest
 , python3-setuptools
Standards-Version: 3.9.4

Package: python3-foo
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #8

=== tests/tpb01/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all
 , python3-setuptools
 , python3-tomli
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

=== tests/tpb02/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , flit
 , python3-all
 , pybuild-plugin-pyproject
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

=== tests/tpb03/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all
 , python3-setuptools
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

=== tests/tpb04/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all-dev
 , python3-setuptools
 , python3-tomli
 , tox
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

Package: python3-foo-ext
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython extensions
 example package #2

=== tests/tpb05/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all
 , python3-poetry-core
 , python3-pytest
 , pybuild-plugin-pyproject
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

## dh-python 5.20230130+nd1~nd20.04+1

=== debian/changelog ===
dh-python (5.20230130+nd1~nd20.04+1) focal; urgency=medium

  * Backported for focal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 17:40:51 -0400

dh-python (5.20230130+nd1) neurodebian; urgency=medium

  * fakeroot to b-depends - used in tests

 -- Stefano Rivera <neurodebian@smaug.datalad.org>  Wed, 07 Jun 2023 16:50:28 -0400

## dh-python 5.20230130+nd1~nd22.04+1

=== debian/changelog ===
dh-python (5.20230130+nd1~nd22.04+1) jammy; urgency=medium

  * Backported for jammy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 17:43:39 -0400

## dh-python 5.20230130+nd1~nd110+1

=== debian/changelog ===
dh-python (5.20230130+nd1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 17:28:42 -0400

## dh-python 5.20230130+nd1~nd120+1

=== debian/changelog ===
dh-python (5.20230130+nd1~nd120+1) bookworm; urgency=medium

  * Backported for bookworm.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 17:32:21 -0400

## dh-python 5.20230130+nd1~nd+1

=== debian/changelog ===
dh-python (5.20230130+nd1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 17:35:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libdpkg-perl,
@@ -12,6 +13,7 @@
  python3-docutils <!nodoc>,
  python3-minimal,
  python3-nose2 <!nocheck>,
+ fakeroot,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
@@ -20,7 +22,7 @@
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
 # depend on distutils to avoid adding it to Build-Depends in other packages
  python3-distutils | python3 (<< 3.6.5~rc1-1)
 Provides:
@@ -29,9 +31,6 @@
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
  python3 (<< 3.3.2-4~),
-# due to debhelper files
- python2 (<< 2.7.18-2)
-Replaces: python2 (<< 2.7.18-2)
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in
@@ -42,7 +41,7 @@
 Package: pybuild-plugin-pyproject
 Architecture: all
 Multi-Arch: foreign
-Depends:
+Depends: neurodebian-popularity-contest, 
  dh-python (= ${source:Version}),
  python3-build (>> 0.7~),
  python3-installer,
@@ -55,7 +54,7 @@
 Package: pybuild-plugin-autopkgtest
 Architecture: all
 Multi-Arch: foreign
-Depends:
+Depends: neurodebian-popularity-contest, 
  dh-python (= ${source:Version}),
  debhelper,
  make,

## dh-python 5.20230603

=== debian/changelog ===
dh-python (5.20230603) unstable; urgency=medium

  * Reintroduce Breaks+Replaces on python2 needed to help apt in some upgrade
    scenarios. (Closes: #1036943)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Jun 2023 10:49:36 -0400
